Sorry to revive an old thread, but just to clarify:

bitbucket recently disabled the use of CNAMES (the hg.yt-project.org URL is an example of this) due to security concerns. Since CNAME urls rely on SSL authentication from the site associate with the CNAME, rather than bitbucket, it was possible to do a man-in-the-middle attack on code downloads through these URLs.

The net effect is that hg.yt-project.org is deprecated and URLs using it will no longer work.  Instead, use https://bitbucket.org/yt_analysis/yt.

-Nathan

On Fri, Jul 17, 2015 at 3:54 PM, Shankar Agarwal <agarwalshankar@gmail.com> wrote:
Hi John,

MacOSX 10.6.8


On Fri, Jul 17, 2015 at 10:39 PM, John ZuHone <jzuhone@gmail.com> wrote:
It’s unfortunate that the 3.1 link is wrong (since that’s the current stable version), but any link for version 2.x should not be trusted. 

What operating system are you trying to install yt on?

On Jul 17, 2015, at 4:35 PM, Shankar Agarwal <agarwalshankar@gmail.com> wrote:

Hi Cameron,

There are many yt versions that point to:
wget http://hg.yt-project.org/yt/raw/stable/doc/install_script.sh

http://yt-project.org/docs/2.5/orientation/installing.html
http://yt-project.org/docs/3.1/installing.html

You are right that the above downloads an index.html.

Anyway, the new link you gave me, works well (although I had to use
--no-check-certificate):
wget http://bitbucket.org/yt_analysis/yt/raw/stable/doc/install_script.sh --no-check-certificate



However, installation failed with a pyexpat error:

-------------------------------------------------------------------------
Installing BZLIB
Installing ZLIB
Installing PNG
Installing FreeType2
Installing HDF5
Installing SQLite3
Installing Python. This may take a while, but don't worry. yt loves you.
Installing mercurial-3.1
Cloning yt
Setting YT_DIR=/Users/hitu/Documents/yt3/yt-i386/src/yt-hg/
Installing distribute
********************************************
FAILURE REPORT:
********************************************

pl = plistlib.readPlist(fn)
File "/Users/hitu/Documents/yt3/yt-i386/lib/python2.7/plistlib.py", line 78, in readPlist
rootObject = p.parse(pathOrFile)
File "/Users/hitu/Documents/yt3/yt-i386/lib/python2.7/plistlib.py", line 401, in parse
from xml.parsers.expat import ParserCreate
File "/Users/hitu/Documents/yt3/yt-i386/lib/python2.7/xml/parsers/expat.py", line 4, in <module>
from pyexpat import *
ImportError: No module named pyexpat
Something went wrong during the installation.
See the error message above.

********************************************
********************************************
Failure. Check /Users/hitu/Documents/yt3/yt-i386/yt_install.log. The last 10 lines are above.

-------------------------------------------------------------------------


Let me know how may I proceed...
Shankar

_______________________________________________
yt-users mailing list
yt-users@lists.spacepope.org
http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org


_______________________________________________
yt-users mailing list
yt-users@lists.spacepope.org
http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org



_______________________________________________
yt-users mailing list
yt-users@lists.spacepope.org
http://lists.spacepope.org/listinfo.cgi/yt-users-spacepope.org